Bug 805247 - sshd segfaults using latest Fedora image
sshd segfaults using latest Fedora image
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hercules (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 808108
  Show dependency treegraph
 
Reported: 2012-03-20 13:49 EDT by R P Herrold
Modified: 2013-02-13 20:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 808108 (view as bug list)
Environment:
Last Closed: 2013-02-13 20:04:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2012-03-20 13:49:18 EDT
Description of problem:
sshd segfaults using latest Fedora image

Version-Release number of selected component (if applicable):
[root@f16-64-hercules3 hercules]# rpm -q hercules
hercules-3.07-2.fc15.x86_64


How reproducible:
1. d/l image from instructions at: http://fedoraproject.org/wiki/Architectures/s390x
2.configure to use the image
3. ipl image
4. attempt to connect via ssh per the instructions on the page
5. unit segfaults

Steps to Reproduce:
as above  

Actual results:
 
http://fedoraproject.org/w/index.php?title=Architectures/s390x&printable=yes
 
under F16 (x86_64)
 
on the hercules instance, I get the segfault as the SSHD is
receiving an incoming connection:
http://pastebin.ca/2130788
 
running:
[root@f16-64-hercules3 hercules]# grep -v ^# hercules.cnf
 
CPUSERIAL 002623        # CPU serial number
CPUMODEL  2064          # CPU model number: 3090, 7490, 2064
MAINSIZE  1024           # Main storage size in megabytes
NUMCPU    2             # Number of CPUs
CNSLPORT  3270          # TCP port number to which consoles connect
OSTAILOR  LINUX         # OS tailoring
LOADPARM  0120....      # IPL parameter
ARCHMODE  ESAME         # Architecture mode S/370, ESA/390 or ESAME
TZOFFSET  +0100         # Central Europe
HERCPRIO  -15           # Priority of the hercules process
LOGOPT    NOTIMESTAMP   # Avoid timestamps for log messages
TIMERINT  200           # Increase timers update interval, improves performance
TODDRAG   2             # Higher TOD clock drag means less interrupts -> higher performance
PANRATE   SLOW          # Slowest update
TRACEOPT  NOREGS        # Don't display registers
LDMOD     hdt3088.so hdt3420.so hdt3505.so
 
0120  3390 /home/data/fedora-14-s390x-20100927.img
0600  3088 CTCI -n /dev/net/tun -t 1500 192.168.200.3 192.168.200.4
0601  3088 CTCI -n /dev/net/tun -t 1500 192.168.200.3 192.168.200.4
[root@f16-64-hercules3 hercules]#   
 
coming in from the parent:
 
[root@f16-64-hercules3 ~]# ssh -X root@192.168.200.3
(no further local output)

Expected results:
an ssh connection  ;)

Additional info:

    Command ==> *** buffer overflow detected ***: hercules terminated
    ======= Backtrace: ========= 000002000012600A 64.....P.Z instcount=80,482,323,02
    /lib64/libc.so.6(__fortify_fail+0x37)[0x7f967a6d7af7]
    /lib64/libc.so.6(+0x106a70)[0x7f967a6d5a70]
    /usr/lib64/hercules/dyncrypt.so(+0x9c8f)[0x7f967a1bbc8f]
    /usr/lib64/hercules/dyncrypt.so(z900_cipher_message_d+0xcd)[0x7f967a1bccdd]
    /usr/lib64/libherc.so(z900_run_cpu+0x4e7)[0x7f967c811aa7]
    /usr/lib64/libherc.so(cpu_thread+0x126)[0x7f967c809006]
    /lib64/libpthread.so.0(+0x7d90)[0x7f967b87bd90]
    /lib64/libc.so.6(clone+0x6d)[0x7f967a6bff5d]
    ======= Memory map: ========
    00400000-00402000 r-xp 00000000 fd:01 265683                             /usr/bin/hercules
    00602000-00603000 rw-p 00002000 fd:01 265683                             /usr/bin/hercules
    01e83000-01ec9000 rw-p 00000000 00:00 0                                  [heap]
    7f9618000000-7f9618021000 rw-p 00000000 00:00 0
    7f9618021000-7f961c000000 ---p 00000000 00:00 0
    7f961c000000-7f961cc5d000 rw-p 00000000 00:00 0
    7f961cc5d000-7f9620000000 ---p 00000000 00:00 0
    7f9620000000-7f9620021000 rw-p 00000000 00:00 0
    7f9620021000-7f9624000000 ---p 00000000 00:00 0
    7f9624000000-7f9624021000 rw-p 00000000 00:00 0
    7f9624021000-7f9628000000 ---p 00000000 00:00 0
    7f962beff000-7f962bf00000 ---p 00000000 00:00 0
    7f962bf00000-7f962c000000 rw-p 00000000 00:00 0
    7f962c000000-7f962c021000 rw-p 00000000 00:00 0
    7f962c021000-7f9630000000 ---p 00000000 00:00 0
    7f9633ffd000-7f9674000000 rw-p 00000000 00:00 0
    7f9674000000-7f9674021000 rw-p 00000000 00:00 0
    7f9674021000-7f9678000000 ---p 00000000 00:00 0
    7f96791ce000-7f96791e3000 r-xp 00000000 fd:01 13                         /lib64/libgcc_s-4.6.2-20111027.so.1
    7f96791e3000-7f96793e2000 ---p 00015000 fd:01 13                         /lib64/libgcc_s-4.6.2-20111027.so.1
    7f96793e2000-7f96793e3000 rw-p 00014000 fd:01 13                         /lib64/libgcc_s-4.6.2-20111027.so.1
    7f96793e3000-7f96793e4000 ---p 00000000 00:00 0
    7f96793e4000-7f96794e4000 rw-p 00000000 00:00 0
    7f96794e4000-7f96794e5000 ---p 00000000 00:00 0
    7f96794e5000-7f967967e000 rw-p 00000000 00:00 0
    7f967967e000-7f967967f000 ---p 00000000 00:00 0
    7f967967f000-7f967977f000 rw-p 00000000 00:00 0
    7f967977f000-7f9679780000 ---p 00000000 00:00 0
    7f9679780000-7f9679880000 rw-p 00000000 00:00 0
    7f9679880000-7f9679881000 ---p 00000000 00:00 0
    7f9679881000-7f9679981000 rw-p 00000000 00:00 0
    7f9679981000-7f9679982000 ---p 00000000 00:00 0
    7f9679982000-7f9679a82000 rw-p 00000000 00:00 0
    7f9679a82000-7f9679a83000 ---p 00000000 00:00 0
    7f9679a83000-7f9679b83000 rw-p 00000000 00:00 0
    7f9679b83000-7f9679b88000 r-xp 00000000 fd:01 265702                     /usr/lib64/hercules/hdt3505.so
    7f9679b88000-7f9679d88000 ---p 00005000 fd:01 265702                     /usr/lib64/hercules/hdt3505.so
    7f9679d88000-7f9679d89000 rw-p 00005000 fd:01 265702                     /usr/lib64/hercules/hdt3505.so
    7f9679d89000-7f9679da1000 r-xp 00000000 fd:01 265701                     /usr/lib64/hercules/hdt3420.so
    7f9679da1000-7f9679fa1000 ---p 00018000 fd:01 265701                     /usr/lib64/hercules/hdt3420.so
    7f9679fa1000-7f9679fa3000 rw-p 00018000 fd:01 265701                     /usr/lib64/hercules/hdt3420.so
    7f9679fa3000-7f9679fb1000 r-xp 00000000 fd:01 265699                     /usr/lib64/hercules/hdt3088.so
    7f9679fb1000-7f967a1b1000 ---p 0000e000 fd:01 265699                     /usr/lib64/hercules/hdt3088.so
    7f967a1b1000-7f967a1b2000 rw-p 0000e000 fd:01 265699                     /usr/lib64/hercules/hdt3088.so
    7f967a1b2000-7f967a1cd000 r-xp 00000000 fd:01 265692                     /usr/lib64/hercules/dyncrypt.so
    7f967a1cd000-7f967a3cc000 ---p 0001b000 fd:01 265692                     /usr/lib64/hercules/dyncrypt.so
    7f967a3cc000-7f967a3cd000 rw-p 0001a000 fd:01 265692                     /usr/lib64/hercules/dyncrypt.so
    7f967a3cd000-7f967a3ce000 r-xp 00000000 fd:01 265705                     /usr/lib64/hercules/hdteq.so
    7f967a3ce000-7f967a5ce000 ---p 00001000 fd:01 265705                     /usr/lib64/hercules/hdteq.so
    7f967a5ce000-7f967a5cf000 rw-p 00001000 fd:01 265705                     /usr/lib64/hercules/hdteq.so
    7f967a5cf000-7f967a77c000 r-xp 00000000 fd:01 28                         /lib64/libc-2.14.90.so
    7f967a77c000-7f967a97c000 ---p 001ad000 fd:01 28                         /lib64/libc-2.14.90.so
    7f967a97c000-7f967a980000 r--p 001ad000 fd:01 28                         /lib64/libc-2.14.90.so
    7f967a980000-7f967a982000 rw-p 001b1000 fd:01 28                         /lib64/libc-2.14.90.so
    7f967a982000-7f967a987000 rw-p 00000000 00:00 0
    7f967a987000-7f967a996000 r-xp 00000000 fd:01 97                         /lib64/libbz2.so.1.0.6
    7f967a996000-7f967ab95000 ---p 0000f000 fd:01 97                         /lib64/libbz2.so.1.0.6
    7f967ab95000-7f967ab97000 rw-p 0000e000 fd:01 97                         /lib64/libbz2.so.1.0.6
    7f967ab97000-7f967ab99000 r-xp 00000000 fd:01 34                         /lib64/libdl-2.14.90.so
    7f967ab99000-7f967ad99000 ---p 00002000 fd:01 34                         /lib64/libdl-2.14.90.so
    7f967ad99000-7f967ad9a000 r--p 00002000 fd:01 34                         /lib64/libdl-2.14.90.so
    7f967ad9a000-7f967ad9b000 rw-p 00003000 fd:01 34                         /lib64/libdl-2.14.90.so
    7f967ad9b000-7f967ae1e000 r-xp 00000000 fd:01 36                         /lib64/libm-2.14.90.so
    7f967ae1e000-7f967b01d000 ---p 00083000 fd:01 36                         /lib64/libm-2.14.90.so
    7f967b01d000-7f967b01e000 r--p 00082000 fd:01 36                         /lib64/libm-2.14.90.so
    7f967b01e000-7f967b01f000 rw-p 00083000 fd:01 36                         /lib64/libm-2.14.90.so
    7f967b01f000-7f967b036000 r-xp 00000000 fd:01 38                         /lib64/libnsl-2.14.90.so
    7f967b036000-7f967b235000 ---p 00017000 fd:01 38                         /lib64/libnsl-2.14.90.so
    7f967b235000-7f967b236000 r--p 00016000 fd:01 38                         /lib64/libnsl-2.14.90.so
    7f967b236000-7f967b237000 rw-p 00017000 fd:01 38                         /lib64/libnsl-2.14.90.so
    7f967b237000-7f967b239000 rw-p 00000000 00:00 0
    7f967b239000-7f967b251000 r-xp 00000000 fd:01 56                         /lib64/libresolv-2.14.90.so
    7f967b251000-7f967b451000 ---p 00018000 fd:01 56                         /lib64/libresolv-2.14.90.so
    7f967b451000-7f967b452000 r--p 00018000 fd:01 56                         /lib64/libresolv-2.14.90.so
    7f967b452000-7f967b453000 rw-p 00019000 fd:01 56                         /lib64/libresolv-2.14.90.so
    7f967b453000-7f967b455000 rw-p 00000000 00:00 0
    7f967b455000-7f967b46c000 r-xp 00000000 fd:01 83                         /lib64/libz.so.1.2.5
    7f967b46c000-7f967b66b000 ---p 00017000 fd:01 83                         /lib64/libz.so.1.2.5
    7f967b66b000-7f967b66c000 rw-p 00016000 fd:01 83                         /lib64/libz.so.1.2.5
    7f967b66c000-7f967b673000 r-xp 00000000 fd:01 58                         /lib64/librt-2.14.90.so
    7f967b673000-7f967b872000 ---p 00007000 fd:01 58                         /lib64/librt-2.14.90.so
    7f967b872000-7f967b873000 r--p 00006000 fd:01 58                         /lib64/librt-2.14.90.so
    7f967b873000-7f967b874000 rw-p 00007000 fd:01 58                         /lib64/librt-2.14.90.so
    7f967b874000-7f967b88b000 r-xp 00000000 fd:01 54                         /lib64/libpthread-2.14.90.so
    7f967b88b000-7f967ba8a000 ---p 00017000 fd:01 54                         /lib64/libpthread-2.14.90.so
    7f967ba8a000-7f967ba8b000 r--p 00016000 fd:01 54                         /lib64/libpthread-2.14.90.so
    7f967ba8b000-7f967ba8c000 rw-p 00017000 fd:01 54                         /lib64/libpthread-2.14.90.so
    7f967ba8c000-7f967ba90000 rw-p 00000000 00:00 0
    7f967ba90000-7f967ba9f000 r-xp 00000000 fd:01 265707                     /usr/lib64/libdecNumber.so
    7f967ba9f000-7f967bc9f000 ---p 0000f000 fd:01 265707                     /usr/lib64/libdecNumber.so
    7f967bc9f000-7f967bca0000 rw-p 0000f000 fd:01 265707                     /usr/lib64/libdecNumber.so
    7f967bca0000-7f967bca1000 r-xp 00000000 fd:01 265710                     /usr/lib64/libhercs.so
    7f967bca1000-7f967bea1000 ---p 00001000 fd:01 265710                     /usr/lib64/libhercs.so
    7f967bea1000-7f967bea2000 rw-p 00001000 fd:01 265710                     /usr/lib64/libhercs.so
    7f967bea2000-7f967beaf000 rw-p 00000000 00:00 0
    7f967beaf000-7f967beb8000 r-xp 00000000 fd:01 265659                     /usr/lib64/libltdl.so.7.3.0
    7f967beb8000-7f967c0b7000 ---p 00009000 fd:01 265659                     /usr/lib64/libltdl.so.7.3.0
    7f967c0b7000-7f967c0b8000 rw-p 00008000 fd:01 265659                     /usr/lib64/libltdl.so.7.3.0
    7f967c0b8000-7f967c0c5000 r-xp 00000000 fd:01 265712                     /usr/lib64/libhercu.so
    7f967c0c5000-7f967c2c4000 ---p 0000d000 fd:01 265712                     /usr/lib64/libhercu.so
    7f967c2c4000-7f967c2c7000 rw-p 0000c000 fd:01 265712                     /usr/lib64/libhercu.so
    7f967c2c7000-7f967c2c8000 rw-p 00000000 00:00 0
    7f967c2c8000-7f967c306000 r-xp 00000000 fd:01 265709                     /usr/lib64/libhercd.so
    7f967c306000-7f967c505000 ---p 0003e000 fd:01 265709                     /usr/lib64/libhercd.so
    7f967c505000-7f967c508000 rw-p 0003d000 fd:01 265709                     /usr/lib64/libhercd.so
    7f967c508000-7f967c50a000 rw-p 00000000 00:00 0
    7f967c50a000-7f967c50f000 r-xp 00000000 fd:01 265711                     /usr/lib64/libherct.so
    7f967c50f000-7f967c70f000 ---p 00005000 fd:01 265711                     /usr/lib64/libherct.so
    7f967c70f000-7f967c710000 rw-p 00005000 fd:01 265711                     /usr/lib64/libherct.so
    7f967c710000-7f967ca1e000 r-xp 00000000 fd:01 265708                     /usr/lib64/libherc.so
    7f967ca1e000-7f967cc1d000 ---p 0030e000 fd:01 265708                     /usr/lib64/libherc.so
    7f967cc1d000-7f967cc4c000 rw-p 0030d000 fd:01 265708                     /usr/lib64/libherc.so
    7f967cc4c000-7f967cca1000 rw-p 00000000 00:00 0
    7f967cca1000-7f967ccc3000 r-xp 00000000 fd:01 396                        /lib64/ld-2.14.90.so
    7f967cd32000-7f967cdb3000 rw-p 00000000 00:00 0
    7f967cdb3000-7f967cdb4000 ---p 00000000 00:00 0
    7f967cdb4000-7f967cebd000 rw-p 00000000 00:00 0
    7f967cec0000-7f967cec2000 rw-p 00000000 00:00 0
    7f967cec2000-7f967cec3000 r--p 00021000 fd:01 396                        /lib64/ld-2.14.90.so
    7f967cec3000-7f967cec4000 rw-p 00022000 fd:01 396                        /lib64/ld-2.14.90.so
    7f967cec4000-7f967cec5000 rw-p 00000000 00:00 0
    7fff74b4a000-7fff74b6b000 rw-p 00000000 00:00 0                          [stack]
    7fff74bff000-7fff74c00000 r-xp 00000000 00:00 0                          [vdso]
    ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
    ./hercules.init: line 39:  1148 Aborted                 hercules
    [root@f16-64-hercules3 hercules]#
Comment 1 Dan Horák 2012-03-20 14:00:48 EDT
Can you please try also Hercules from http://fedora.danny.cz/danny/ - it's a post 3.07 snapshot?
Comment 2 R P Herrold 2012-03-26 11:27:57 EDT
thank you -- certainly

updated to: hercules-3.08-0.3.20111107svn7802.fc16.x86_64 which is the latest at: 
http://fedora.danny.cz/danny/16/x86_64/repoview/hercules.html

This appears to die even earlier, trying to get the tun device set up

[root@f16-64-hercules3 hercules]# ./hercules.init
HHC01413I Hercules version 3.07
HHC01414I (c) Copyright 1999-2011 by Roger Bowler, Jan Jaeger, and others
HHC01415I Built on Nov 27 2011 at 11:17:12
HHC01416I Build information:
HHC01417I Modes: S/370 ESA/390 z/Arch
HHC01417I Max CPU Engines: 8
HHC01417I Using setresuid() for setting privileges
HHC01417I Using POSIX threads Threading Model
HHC01417I Using Error-Checking Mutex Locking Model
HHC01417I Dynamic loading support
HHC01417I Using shared libraries
HHC01417I HTTP Server support
HHC01417I Regular Expressions support
HHC01417I Automatic Operator support
HHC01417I National Language Support
HHC01417I Machine dependent assists: cmpxchg1 cmpxchg4 cmpxchg8
HHC01417I Running on f16-64-hercules3.fi Linux-3.2.10-3.fc16.x86_6. #1 SMP Thu Mar 15 19:39:46 UTC 2012, x86_64 UP
HHC00150I Crypto module loaded (c) Copyright 2003-2011 by Bernard van der Helm
HHC00151I Activated facility: 'Message Security Assist'
HHC00151I Activated facility: 'Message Security Assist Extension 1, 2, 3 and 4'
HHC00100I Thread id 7FC56E63D700, prio 15, name 'Processor CP00' started
HHC00811I Processor CP00: architecture mode 'z/Arch'
HHC00100I Thread id 7FC56E53C700, prio -20, name 'Timer' started
HHC00100I Thread id 7FC56E43B700, prio 15, name 'Processor CP01' started
HHC00811I Processor CP01: architecture mode 'z/Arch'
HHC02204I logopt         set to NOTIMESTAMP
HHC01526I HDL: loading module 'hdt3088.so'...
HHC01527I HDL: module 'hdt3088.so' loaded
HHC01526I HDL: loading module 'hdt3420.so'...
HHC01527I HDL: module 'hdt3420.so' loaded
HHC01526I HDL: loading module 'hdt3505.so'...
HHC01527I HDL: module 'hdt3505.so' loaded
HHC00414I 0:0120 CKD file /home/data/fedora-14-s390x-20100927.img: cyls 10017 heads 15 tracks 150255 trklen 56832
HHC00901I 0:0600 CTC: device 'tun0', type 'TUN' opened
HHC00100I Thread id 7FC571AE4700, prio -15, name 'Control panel' started
HHC01417I Automatic Operator support                                           +
HHC01417I National Language Support
HHC01417I Machine dependent assists: cmpxchg1 cmpxchg4 cmpxchg8
HHC01417I Running on f16-64-hercules3.fi Linux-3.2.10-3.fc16.x86_6. #1 SMP Thu M
HHC00150I Crypto module loaded (c) Copyright 2003-2011 by Bernard van der Helm
HHC00151I Activated facility: 'Message Security Assist'
HHC00151I Activated facility: 'Message Security Assist Extension 1, 2, 3 and 4'
HHC00100I Thread id 7FC56E63D700, prio 15, name 'Processor CP00' started
HHC00811I Processor CP00: architecture mode 'z/Arch'
HHC00100I Thread id 7FC56E53C700, prio -20, name 'Timer' started
HHC00100I Thread id 7FC56E43B700, prio 15, name 'Processor CP01' started
HHC00811I Processor CP01: architecture mode 'z/Arch'
HHC02204I logopt         set to NOTIMESTAMP
HHC01526I HDL: loading module 'hdt3088.so'...
HHC01527I HDL: module 'hdt3088.so' loaded
HHC01526I HDL: loading module 'hdt3420.so'...
HHC01527I HDL: module 'hdt3420.so' loaded
HHC01526I HDL: loading module 'hdt3505.so'...
HHC01527I HDL: module 'hdt3505.so' loaded
HHC00414I 0:0120 CKD file /home/data/fedora-14-s390x-20100927.img: cyls 10017 he
HHC00901I 0:0600 CTC: device 'tun0', type 'TUN' opened
HHC00100I Thread id 7FC571AE4700, prio -15, name 'Control panel' started
HHCIF005E hercifc: ioctl error doing SIOCDIFADDR on tun0: 25 Inappropriate ioctl
herc =====>
CP00 PSW=0000000000000000 0000000000000000 24M......Z       instcnt 0; mip


selinux tail is as follows

[root@f16-64-hercules3 log]# tail audit/audit.log  | grep -v success
type=LOGIN msg=audit(1332757352.245:63): login pid=1090 uid=0 old auid=4294967295 new auid=0 old ses=4294967295 new ses=2

messages

[root@f16-64-hercules3 log]# tail messages
Mar 26 06:18:37 f16-64-hercules3 dhclient[901]: bound to 10.16.1.156 -- renewal in 1634 seconds.
Mar 26 06:18:37 f16-64-hercules3 network[795]: Determining IP information for eth0... done.
Mar 26 06:18:37 f16-64-hercules3 network[795]: [  OK  ]
Mar 26 06:18:37 f16-64-hercules3 systemd[1]: PID file /run/sendmail.pid not readable (yet?) after start.
Mar 26 06:18:37 f16-64-hercules3 systemd[1]: Startup finished in 546ms 106us (kernel) + 1s 967ms 718us (initrd) + 5s 289ms 162us (userspace) = 7s 802ms 986us.
Mar 26 06:19:08 f16-64-hercules3 systemd-logind[738]: New session 1 of user root.
Mar 26 06:21:07 f16-64-hercules3 yum[1051]: Updated: hercules-3.08-0.3.20111107svn7802.fc16.x86_64
Mar 26 06:21:27 f16-64-hercules3 kernel: [  176.976286] tun: Universal TUN/TAP device driver, 1.6
Mar 26 06:21:27 f16-64-hercules3 kernel: [  176.976288] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
Mar 26 06:22:32 f16-64-hercules3 systemd-logind[738]: New session 2 of user root.

dmesg

[root@f16-64-hercules3 log]# dmesg | tail
[    5.488318] auditd[716]: Started dispatcher: /sbin/audispd pid: 741
[    5.590948] auditd[716]: Init complete, auditd 2.1.3 listening for events (startup state enable)
[    5.630175] audispd[741]: priority_boost_parser called with: 4
[    5.630197] audispd[741]: max_restarts_parser called with: 10
[    5.636886] audispd[741]: No plugins found, exiting
[    5.890526] nf_conntrack version 0.5.0 (7973 buckets, 31892 max)
[    6.045936] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   17.074191] eth0: no IPv6 routers present
[  176.976286] tun: Universal TUN/TAP device driver, 1.6
[  176.976288] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
[root@f16-64-hercules3 log]#                           

Looking, I see that there is a later systemd and friends in updates ... I'll run that
Comment 3 R P Herrold 2012-03-26 11:52:17 EDT
no joy there, however .. I get the same stop

 ...
HHC00414I 0:0120 CKD file /home/data/fedora-14-s390x-20100927.img: cyls 10017 he
HHC00901I 0:0600 CTC: device 'tun0', type 'TUN' opened
HHC00100I Thread id 7F6CA4A95700, prio -15, name 'Control panel' started
HHCIF005E hercifc: ioctl error doing SIOCDIFADDR on tun0: 25 Inappropriate ioctl
herc =====> Hangup
[root@f16-64-hercules3 hercules]#

I know that on the hercules mailing list there has been mention of changes to the tun code in the last week ...
Comment 4 R P Herrold 2012-03-29 15:47:23 EDT
tried adding the crypto .so manually in 

[root@f16-64-hercules3 hercules]# cat hercules.cnf  | grep so
CNSLPORT  3270          # TCP port number to which consoles connect
## LDMOD     hdt3088.so hdt3420.so hdt3505.so
LDMOD     hdt3088.so hdt3420.so hdt3505.so dyncrypt.so
[root@f16-64-hercules3 hercules]#                

but no joy; 

I'll try the later private build per comment 1, and then a RawHide hercules next

I suppose stracing the hercules is probably the next step?

-- Russ herrold

 ...
Fedora release 14 (Laughlin)
Kernel 2.6.35.4-12.fc14.s390x on an s390x (console)

s390 login:
Command ==> *** buffer overflow detected ***: hercules terminated
======= Backtrace: ========= 000000000011A882 64..W....Z instcount=12,531,771,43
/lib64/libc.so.6(__fortify_fail+0x37)[0x7ff0f0189af7]
/lib64/libc.so.6(+0x106a70)[0x7ff0f0187a70]
/usr/lib64/hercules/dyncrypt.so(+0x9c8f)[0x7ff0ebbecc8f]
/usr/lib64/hercules/dyncrypt.so(z900_cipher_message_d+0xcd)[0x7ff0ebbedcdd]
/usr/lib64/libherc.so(z900_run_cpu+0x4e7)[0x7ff0f22c3aa7]
/usr/lib64/libherc.so(cpu_thread+0x126)[0x7ff0f22bb006]
/lib64/libpthread.so.0(+0x7d90)[0x7ff0f132dd90]
/lib64/libc.so.6(clone+0x6d)[0x7ff0f0171f5d]
======= Memory map: ========
 ...
Comment 5 Fedora End Of Life 2013-01-16 17:33:09 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 20:04:41 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.